package test;

import com.ibm.rational.test.lt.kernel.action.IContainer;
import com.ibm.rational.test.lt.kernel.action.IKThinkControl;
import com.ibm.rational.test.lt.kernel.action.IPacedLoop;
import com.ibm.rational.test.lt.kernel.action.impl.Container;
import com.ibm.rational.test.lt.kernel.action.impl.PacedLoop;
import com.ibm.rational.test.lt.kernel.action.impl.UserGroup;

public class Schedule_Schedule_D881B26B677808537AAC7CE0F71511DB extends
		com.ibm.rational.test.lt.kernel.action.impl.Schedule {

	public Schedule_Schedule_D881B26B677808537AAC7CE0F71511DB(
			IContainer parent, String name) {
		super(parent, name, "D881B26B677808537AAC7CE0F71511DB");
		setThinkMax(10000);
		setThinkScheme(IKThinkControl.RECORDED);

	}

	public void execute() {
		this.addUserGroup(new UserGroup_1(this));

		this.addUserGroup(new UserGroup_2(this));

		super.execute();
	}

	public class UserGroup_1 extends UserGroup {

		public UserGroup_1(IContainer parent) {
			super(parent, "User Group 1", "D881B26B677808537AC90594F71511DB");
			setNumUsers(70);

		}

		public IContainer createTesterWorkload(IContainer parent) {
			return scenario_1(parent);
		}

		private Container scenario_1(IContainer parent) {
			Container scenario = new Container(parent, "Default Scenario",
					"D881B26B677808537ACB7696F71511DB") {

				public void reportStopMessage() {
				}

				public void reportForcedStopMessage() {
				}

				public void execute() {
					this.add(pacedLoop_1(this));

					this
							.add(new com.ibm.rational.test.lt.execution.protocol.impl.HTTPUserComplete(
									this));
					super.execute();
				}
			};

			return scenario;
		}

	}

	private PacedLoop pacedLoop_1(IContainer parent) {
		PacedLoop pacedLoop = new PacedLoop(parent, "Loop",
				"D881B26B67780853B098F634F71511DB", 0, 20, 1, true, true, 5,
				60000, IPacedLoop.RANDOM) {

			public void executeLoop() {
				this
						.add(new IterationDelay(
								this,
								"PacedLoop Iteration Delay", "D881B26B67780853B098F634F71511DB")); //$NON-NLS-1$
				this.add(new test.View_Test_D881B26B67780853AB76AE50F71411DB(
						this, "D881B26B67780853C2605A70F71511DB") {
					public void execute() {
						this.setRtbEnabled(false);
						super.execute();
					}
				});

				super.executeLoop();
			}

		};

		return pacedLoop;
	}

	public class UserGroup_2 extends UserGroup {

		public UserGroup_2(IContainer parent) {
			super(parent, "User Group 2", "D881B26B67780853A6531C04F71511DB");
			setNumUsers(30);

		}

		public IContainer createTesterWorkload(IContainer parent) {
			return scenario_2(parent);
		}

		private Container scenario_2(IContainer parent) {
			Container scenario = new Container(parent, "Default Scenario",
					"D881B26B67780853A6531C0CF71511DB") {

				public void reportStopMessage() {
				}

				public void reportForcedStopMessage() {
				}

				public void execute() {
					this.add(pacedLoop_2(this));

					this
							.add(new com.ibm.rational.test.lt.execution.protocol.impl.HTTPUserComplete(
									this));
					super.execute();
				}
			};

			return scenario;
		}

	}

	private PacedLoop pacedLoop_2(IContainer parent) {
		PacedLoop pacedLoop = new PacedLoop(parent, "Loop",
				"D881B26B67780853C484C114F71511DB", 0, 20, 1, true, true, 4,
				60000, IPacedLoop.RANDOM) {

			public void executeLoop() {
				this
						.add(new IterationDelay(
								this,
								"PacedLoop Iteration Delay", "D881B26B67780853C484C114F71511DB")); //$NON-NLS-1$
				this.add(new test.Edit_Test_D881B26B67780853C8962010F71411DB(
						this, "D881B26B67780853CC195DF0F71511DB") {
					public void execute() {
						this.setRtbEnabled(false);
						super.execute();
					}
				});

				super.executeLoop();
			}

		};

		return pacedLoop;
	}

}