package test;

import java.net.InetAddress;
import java.net.UnknownHostException;

import com.ibm.rational.test.lt.kernel.services.ITestExecutionServices;

/**
 * @author unknown
 */
public class JVMInfo implements
		com.ibm.rational.test.lt.kernel.custom.ICustomCode2 {

	/**
	 * Instances of this will be created using the no-arg constructor.
	 */
	public JVMInfo() {
	}

	/**
	 * For javadoc of ICustomCode2 and ITestExecutionServices interfaces, select 'Help Contents' in the
	 * Help menu and select 'IBM Rational Performance Tester TES'.
	 */
	public String exec(ITestExecutionServices tes, String[] args) {
		// Get JVM runtime
		Runtime rt = Runtime.getRuntime();
		// Get JVM heap size in MB
        long maxMB = rt.maxMemory() / (1024 * 1024);
        String hostName = "Unknown";
        // Get host name
        try {
            hostName = InetAddress.getLocalHost().getHostName();
        } catch (UnknownHostException e1) {
            tes.getTestLogManager().reportMessage("Can't get hostname");
            return null;
        }
        // Log the JVM heap size
        tes.getTestLogManager().reportMessage("JVM maximum heap size for host "
                                        + hostName + " is " + maxMB + " MB");
		return null;
	}

}
