package test;

import com.ibm.rational.test.lt.datacorrelation.execution.harvest.DataCorrelationVar;
import com.ibm.rational.test.lt.datacorrelation.execution.harvest.DataHarvester;
import com.ibm.rational.test.lt.datacorrelation.execution.harvest.IDataCorrelationVar;
import com.ibm.rational.test.lt.datacorrelation.execution.harvest.IDataHarvester;
import com.ibm.rational.test.lt.datacorrelation.execution.proto.ProtoAdapterHandler;
import com.ibm.rational.test.lt.datacorrelation.execution.sub.DataSub;
import com.ibm.rational.test.lt.datacorrelation.execution.sub.IDataSub;
import com.ibm.rational.test.lt.datacorrelation.execution.sub.ISubRule;
import com.ibm.rational.test.lt.datacorrelation.execution.sub.SubRule;
import com.ibm.rational.test.lt.execution.http.IBasicAuthentication;
import com.ibm.rational.test.lt.execution.http.IHTTPRequest;
import com.ibm.rational.test.lt.execution.http.IHTTPSessionTypes;
import com.ibm.rational.test.lt.execution.http.IRequestHeader;
import com.ibm.rational.test.lt.execution.http.ISSLInfo;
import com.ibm.rational.test.lt.execution.http.IServerConnection;
import com.ibm.rational.test.lt.execution.http.impl.HTTPAction;
import com.ibm.rational.test.lt.execution.http.impl.HTTPDelay;
import com.ibm.rational.test.lt.execution.http.impl.HTTPPage;
import com.ibm.rational.test.lt.execution.http.impl.HTTPRequest;
import com.ibm.rational.test.lt.execution.http.impl.HTTPThink;
import com.ibm.rational.test.lt.execution.http.impl.RequestHeader;
import com.ibm.rational.test.lt.execution.http.impl.ServerConnectionFactory;
import com.ibm.rational.test.lt.execution.http.util.HTTPDataArea;
import com.ibm.rational.test.lt.execution.protocol.IProxyServerInfo;
import com.ibm.rational.test.lt.kernel.action.IContainer;
import com.ibm.rational.test.lt.kernel.action.IKAction;
import com.ibm.rational.test.lt.kernel.action.IKTimeoutControl;
import com.ibm.rational.test.lt.kernel.action.impl.Container;
import com.ibm.rational.test.lt.kernel.action.impl.KAction;
import com.ibm.rational.test.lt.kernel.action.impl.Parallel;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;

@SuppressWarnings("unchecked")
public class Edit_Test_D881B26B67780853C8962010F71411DB extends com.ibm.rational.test.lt.execution.protocol.impl.HTTPTestScript { 

    static ProtoAdapterHandler pa = new ProtoAdapterHandler();
    static {           
        pa.addPA("com.ibm.rational.test.lt.datacorrelation.execution.http.HTTPActionAdapter", "com.ibm.rational.test.lt.execution.http.impl.HTTPAction");
pa.addPA("com.ibm.rational.test.lt.datacorrelation.execution.protocol.core.CoreProtoAdapter", "com.ibm.rational.test.lt.execution.core.impl.CDCAction");
pa.addPA("com.ibm.rational.test.lt.sdksamples.dc.exec.socket.SocketActionAdapter", "com.ibm.rational.test.lt.sdksamples.protocol.socket.io.SocketSend");
    }		
    
    private IDataCorrelationVar[] dcVars = DataCorrelationVar.getArrayDCVars(19);
    
    
    
    static URL url[] = new URL[10];
    
    // not synchronized because it is only accessed by the thread creating the user
    Map scriptServerConnections = new HashMap();
    
    public Edit_Test_D881B26B67780853C8962010F71411DB(IContainer container, String invocationId) {
        super(container, "Edit", invocationId);
        setTimeoutDuration(240000);
        setTimeoutScheme(IKTimeoutControl.CONTINUE);
        setArmEnabled(false);        
    }
    
    public void execute() {
        
              this.add(page_1(this)); /* GENERIC CREATE TEMPLATE */

      this.add(page_2(this)); /* GENERIC CREATE TEMPLATE */

      this.add(page_3(this)); /* GENERIC CREATE TEMPLATE */

      this.add(page_4(this)); /* GENERIC CREATE TEMPLATE */

        super.execute();
    }
        
    public void finish(IKAction child) {
        super.finish(child);
    }    

    
    private HTTPPage page_1(final IContainer parent) {
        final boolean parallel = true;
        
        
        HTTPPage page = new HTTPPage(parent, "Struts+Tiles+Faces Example Application", "D881B26B67780853C8A206F0F71411DB") {
            String parallelName = "ParallelContainer";
            String serialName = "SerialContainer_";
            IContainer parallelContainer;
            //HTTPAction primaryAction = null;

            private void createAndAddToSerialContainer(IKAction action, String name) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }

                // check to make sure that the serial container exists
                IKAction kAction = parallelContainer.get(serialName + name);
                
                if (kAction == null) {
                    // create serial container and add to parallelContainer
                    IContainer serialContainer = (IContainer) new Container(parallelContainer, serialName + name) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    parallelContainer.add(serialContainer);
                    kAction = serialContainer;
                }

                if (kAction instanceof IContainer) {
                    ((IContainer)kAction).add(action);
                    if (action instanceof HTTPAction) {
                        if (((HTTPAction)action).getRequest().isPrimary()) {
                            //primaryAction = (HTTPAction) action;
                            IKAction lastCharReceivedAction = new WaitForPrimaryRequest_D881B26B67780853C8A20753F71411DB((IContainer)kAction);
                            ((IContainer)kAction).add(lastCharReceivedAction);
                            actionMap.put("Primary_D881B26B67780853C8A20753F71411DB", lastCharReceivedAction);
                        }
                    }
                }
            }
            
            private void createAndAddToParallelContainer(IKAction action) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }
                    
                // add this action directly to the parallel container
                // this is mostly true of CustomCode
                parallelContainer.add(action);
            }
            
            // add delays and requests (HTTPActions) to sub-sub-containers
            public void add(IKAction action) {
                if (parallel) {
                    // add thinks to the parent page, but everything
                    // else should go into serial containers
                    if (action instanceof HTTPThink) {
                        super.add(action);
                    } else if (action instanceof HTTPAction) {
                        createAndAddToSerialContainer(action, ((HTTPAction)action).getConnectionGroup());
                    } else if (action instanceof HTTPDelay) {
                        createAndAddToSerialContainer(action, ((HTTPDelay)action).getId());
                    } else {
                        createAndAddToParallelContainer(action);
                    }
                }
                else
                    super.add(action);                    
            }

            public void execute() {                
                      this.add(request_1(this)); /* GENERIC CREATE TEMPLATE */

      this.add(request_2(this)); /* GENERIC CREATE TEMPLATE */

      this.add(request_3(this)); /* GENERIC CREATE TEMPLATE */

                super.execute();
            }
        
            public void finish(IKAction child) {
                super.finish(child);
                if (hasFinished()) {
                    parallelContainer = null;
                    //primaryAction = null;
                    actionMap.clear();
                }
            }

        };
         
        page.setArmEnabled(false);  
        return page;
        
    }

    public class WaitForPrimaryRequest_D881B26B67780853C8A20753F71411DB extends KAction {
        public WaitForPrimaryRequest_D881B26B67780853C8A20753F71411DB(IContainer parent) {
            super(parent, "Wait for primary request", "Primary_D881B26B67780853C8A20753F71411DB");
        }
                
        public void execute() {
            release();
            finish();
        }
    }
    


	private HTTPAction request_1(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8", "D881B26B67780853C8A206FDF71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[0] == null)
			    url[0] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Connection", "Keep-Alive")
		};
			
		
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
		
		
		

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"GET",	// method
			url[0],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			false,	// isPrimary
			null,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(302);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("http://");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

	private HTTPAction request_2(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/", "D881B26B67780853C8A20753F71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[1] == null)
			    url[1] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Connection", "Keep-Alive")
		};
			
		
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
			IDataHarvester harvestContainer_1 = new DataHarvester();
	reqAction.addDataHarvester (harvestContainer_1);
	harvestContainer_1.addHarvestInstruction ("resp_content", dcVars[1], " action=\"(.*?)\"", 1, 1, false);
	harvestContainer_1.addHarvestInstruction ("resp_content", dcVars[2], " value=\"(.*?)\"", 4, 4, false);
	harvestContainer_1.addHarvestInstruction ("resp_content", dcVars[3], "'\\]\\.value='(.*?)'", 2, 1, false);
		
		

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"GET",	// method
			url[1],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			true,	// isPrimary
			null,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("text/html;charset=UTF-8");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

	private HTTPAction request_3(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/stylesheet.css", "D881B26B67780853C8A207ACF71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[2] == null)
			    url[2] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/stylesheet.css");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("If-Modified-Since", "Sat, 03 Mar 2007 01:59:38 GMT"),new RequestHeader("If-None-Match", "W/\"2384-1172887178000\""),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
		
		
				// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A20753F71411DB"));
		// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A20753F71411DB"));

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"GET",	// method
			url[2],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			false,	// isPrimary
			null,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(304);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("http://");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

    private HTTPPage page_2(final IContainer parent) {
        final boolean parallel = true;
        	parent.add(new HTTPThink(1406, parent, parent, "D881B26B67780853C8A20801F71411DB"));
        
        HTTPPage page = new HTTPPage(parent, "Struts+Tiles+Faces Example Application {1}", "D881B26B67780853C8A20801F71411DB") {
            String parallelName = "ParallelContainer";
            String serialName = "SerialContainer_";
            IContainer parallelContainer;
            //HTTPAction primaryAction = null;

            private void createAndAddToSerialContainer(IKAction action, String name) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }

                // check to make sure that the serial container exists
                IKAction kAction = parallelContainer.get(serialName + name);
                
                if (kAction == null) {
                    // create serial container and add to parallelContainer
                    IContainer serialContainer = (IContainer) new Container(parallelContainer, serialName + name) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    parallelContainer.add(serialContainer);
                    kAction = serialContainer;
                }

                if (kAction instanceof IContainer) {
                    ((IContainer)kAction).add(action);
                    if (action instanceof HTTPAction) {
                        if (((HTTPAction)action).getRequest().isPrimary()) {
                            //primaryAction = (HTTPAction) action;
                            IKAction lastCharReceivedAction = new WaitForPrimaryRequest_D881B26B67780853C8A20807F71411DB((IContainer)kAction);
                            ((IContainer)kAction).add(lastCharReceivedAction);
                            actionMap.put("Primary_D881B26B67780853C8A20807F71411DB", lastCharReceivedAction);
                        }
                    }
                }
            }
            
            private void createAndAddToParallelContainer(IKAction action) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }
                    
                // add this action directly to the parallel container
                // this is mostly true of CustomCode
                parallelContainer.add(action);
            }
            
            // add delays and requests (HTTPActions) to sub-sub-containers
            public void add(IKAction action) {
                if (parallel) {
                    // add thinks to the parent page, but everything
                    // else should go into serial containers
                    if (action instanceof HTTPThink) {
                        super.add(action);
                    } else if (action instanceof HTTPAction) {
                        createAndAddToSerialContainer(action, ((HTTPAction)action).getConnectionGroup());
                    } else if (action instanceof HTTPDelay) {
                        createAndAddToSerialContainer(action, ((HTTPDelay)action).getId());
                    } else {
                        createAndAddToParallelContainer(action);
                    }
                }
                else
                    super.add(action);                    
            }

            public void execute() {                
                      this.add(request_4(this)); /* GENERIC CREATE TEMPLATE */

      this.add(request_5(this)); /* GENERIC CREATE TEMPLATE */

                super.execute();
            }
        
            public void finish(IKAction child) {
                super.finish(child);
                if (hasFinished()) {
                    parallelContainer = null;
                    //primaryAction = null;
                    actionMap.clear();
                }
            }

        };
         
        page.setArmEnabled(false);  
        return page;
        
    }

    public class WaitForPrimaryRequest_D881B26B67780853C8A20807F71411DB extends KAction {
        public WaitForPrimaryRequest_D881B26B67780853C8A20807F71411DB(IContainer parent) {
            super(parent, "Wait for primary request", "Primary_D881B26B67780853C8A20807F71411DB");
        }
                
        public void execute() {
            release();
            finish();
        }
    }
    


	private HTTPAction request_4(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/layout.faces;jsessionid=DB2FBF0BB0F19CD1B17AB179F639BEE5", "D881B26B67780853C8A20807F71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[3] == null)
			    url[3] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/layout.faces;jsessionid=DB2FBF0BB0F19CD1B17AB179F639BEE5");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("Content-Type", "application/x-www-form-urlencoded"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Content-Length", "120"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("Cache-Control", "no-cache"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		StringBuffer strBuf_1 = new StringBuffer();
strBuf_1.append("menu%3A_id7=menu%3A_id7&org_apache_struts_faces_renderer_Com");
strBuf_1.append("mandLinkRenderer=menu%3A_id7%3Alogon&menu%3A_id7=menu%3A_id7");
String requestData_1 = strBuf_1.toString();
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
			IDataHarvester harvestContainer_2 = new DataHarvester();
	reqAction.addDataHarvester (harvestContainer_2);
	harvestContainer_2.addHarvestInstruction ("resp_content", dcVars[5], " value=\"(.*?)\"", 7, 7, false);
	harvestContainer_2.addHarvestInstruction ("resp_content", dcVars[6], " value=\"(.*?)\"", 9, 2, false);
	harvestContainer_2.addHarvestInstruction ("referer_uri", dcVars[4]);
	IDataSub subContainer_1 = new DataSub();
	reqAction.addDataSub(subContainer_1);

    ISubRule sub_0 = new SubRule("req_content", 
                                                        109, 
                                                        11, 
                                                        true,
                                                        dcVars[2],
                                                        false); 
    subContainer_1.addSubInstruction(sub_0);
    
    ISubRule sub_1 = new SubRule("req_content", 
                                                        77, 
                                                        19, 
                                                        true,
                                                        dcVars[3],
                                                        false); 
    subContainer_1.addSubInstruction(sub_1);
    
    ISubRule sub_2 = new SubRule("req_content", 
                                                        12, 
                                                        11, 
                                                        true,
                                                        dcVars[2],
                                                        false); 
    subContainer_1.addSubInstruction(sub_2);
    
    ISubRule sub_3 = new SubRule("req_uri", 
                                                        0, 
                                                        85, 
                                                        false,
                                                        dcVars[1],
                                                        false); 
    subContainer_1.addSubInstruction(sub_3);
    
		
		

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"POST",	// method
			url[3],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			true,	// isPrimary
			requestData_1,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("text/html;charset=UTF-8");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

	private HTTPAction request_5(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/staticJavascript.jsp", "D881B26B67780853C8A20871F71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[4] == null)
			    url[4] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/staticJavascript.jsp");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/layout.faces;jsessionid=DB2FBF0BB0F19CD1B17AB179F639BEE5"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
			IDataSub subContainer_2 = new DataSub();
	reqAction.addDataSub(subContainer_2);

	subContainer_2.addSubInstruction("req_hdr_referer", false, dcVars[4]);
		
				// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A20807F71411DB"));
		// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A20807F71411DB"));

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"GET",	// method
			url[4],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			false,	// isPrimary
			null,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("application/x-javascript");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

    private HTTPPage page_3(final IContainer parent) {
        final boolean parallel = true;
        	parent.add(new HTTPThink(2985, parent, parent, "D881B26B67780853C8A208C6F71411DB"));
        
        HTTPPage page = new HTTPPage(parent, "Struts+Tiles+Faces Example Application {2}", "D881B26B67780853C8A208C6F71411DB") {
            String parallelName = "ParallelContainer";
            String serialName = "SerialContainer_";
            IContainer parallelContainer;
            //HTTPAction primaryAction = null;

            private void createAndAddToSerialContainer(IKAction action, String name) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }

                // check to make sure that the serial container exists
                IKAction kAction = parallelContainer.get(serialName + name);
                
                if (kAction == null) {
                    // create serial container and add to parallelContainer
                    IContainer serialContainer = (IContainer) new Container(parallelContainer, serialName + name) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    parallelContainer.add(serialContainer);
                    kAction = serialContainer;
                }

                if (kAction instanceof IContainer) {
                    ((IContainer)kAction).add(action);
                    if (action instanceof HTTPAction) {
                        if (((HTTPAction)action).getRequest().isPrimary()) {
                            //primaryAction = (HTTPAction) action;
                            IKAction lastCharReceivedAction = new WaitForPrimaryRequest_D881B26B67780853C8A208CCF71411DB((IContainer)kAction);
                            ((IContainer)kAction).add(lastCharReceivedAction);
                            actionMap.put("Primary_D881B26B67780853C8A208CCF71411DB", lastCharReceivedAction);
                        }
                    }
                }
            }
            
            private void createAndAddToParallelContainer(IKAction action) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }
                    
                // add this action directly to the parallel container
                // this is mostly true of CustomCode
                parallelContainer.add(action);
            }
            
            // add delays and requests (HTTPActions) to sub-sub-containers
            public void add(IKAction action) {
                if (parallel) {
                    // add thinks to the parent page, but everything
                    // else should go into serial containers
                    if (action instanceof HTTPThink) {
                        super.add(action);
                    } else if (action instanceof HTTPAction) {
                        createAndAddToSerialContainer(action, ((HTTPAction)action).getConnectionGroup());
                    } else if (action instanceof HTTPDelay) {
                        createAndAddToSerialContainer(action, ((HTTPDelay)action).getId());
                    } else {
                        createAndAddToParallelContainer(action);
                    }
                }
                else
                    super.add(action);                    
            }

            public void execute() {                
                      this.add(request_6(this)); /* GENERIC CREATE TEMPLATE */

      this.add(request_7(this)); /* GENERIC CREATE TEMPLATE */

      this.add(request_8(this)); /* GENERIC CREATE TEMPLATE */

                super.execute();
            }
        
            public void finish(IKAction child) {
                super.finish(child);
                if (hasFinished()) {
                    parallelContainer = null;
                    //primaryAction = null;
                    actionMap.clear();
                }
            }

        };
         
        page.setArmEnabled(false);  
        return page;
        
    }

    public class WaitForPrimaryRequest_D881B26B67780853C8A208CCF71411DB extends KAction {
        public WaitForPrimaryRequest_D881B26B67780853C8A208CCF71411DB(IContainer parent) {
            super(parent, "Wait for primary request", "Primary_D881B26B67780853C8A208CCF71411DB");
        }
                
        public void execute() {
            release();
            finish();
        }
    }
    


	private HTTPAction request_6(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/layout.faces", "D881B26B67780853C8A208CCF71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[5] == null)
			    url[5] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/layout.faces");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/layout.faces;jsessionid=DB2FBF0BB0F19CD1B17AB179F639BEE5"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("Content-Type", "application/x-www-form-urlencoded"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Content-Length", "138"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("Cache-Control", "no-cache"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		StringBuffer strBuf_2 = new StringBuffer();
strBuf_2.append("body%3A_id10=body%3A_id10&body%3A_id10%3Ausername=test&body%");
strBuf_2.append("3A_id10%3Apassword=test&body%3A_id10%3Asubmit=Log+On&body%3A");
strBuf_2.append("_id10=body%3A_id10");
String requestData_2 = strBuf_2.toString();
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
			IDataHarvester harvestContainer_3 = new DataHarvester();
	reqAction.addDataHarvester (harvestContainer_3);
	harvestContainer_3.addHarvestInstruction ("resp_content", dcVars[7], "\\?action=(.*?)\"", 1, 1, false);
	IDataSub subContainer_3 = new DataSub();
	reqAction.addDataSub(subContainer_3);

    ISubRule sub_4 = new SubRule("req_content", 
                                                        126, 
                                                        12, 
                                                        true,
                                                        dcVars[5],
                                                        false); 
    subContainer_3.addSubInstruction(sub_4);
    
    ISubRule sub_5 = new SubRule("req_content", 
                                                        106, 
                                                        6, 
                                                        true,
                                                        dcVars[6],
                                                        false); 
    subContainer_3.addSubInstruction(sub_5);
    
    ISubRule sub_6 = new SubRule("req_content", 
                                                        13, 
                                                        12, 
                                                        true,
                                                        dcVars[5],
                                                        false); 
    subContainer_3.addSubInstruction(sub_6);
    
	subContainer_3.addSubInstruction("req_hdr_referer", false, dcVars[4]);
		
		

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"POST",	// method
			url[5],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			true,	// isPrimary
			requestData_2,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("text/html;charset=UTF-8");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

	private HTTPAction request_7(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/editRegistration.do?action=Edit", "D881B26B67780853C8A20936F71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[6] == null)
			    url[6] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/editRegistration.do?action=Edit");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/layout.faces"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
			IDataHarvester harvestContainer_4 = new DataHarvester();
	reqAction.addDataHarvester (harvestContainer_4);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[9], " value=\"(.*?)\"", 2, 2, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[10], " value=\"(.*?)\"", 3, 1, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[11], " value=\"(.*?)\"", 4, 1, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[12], " value=\"(.*?)\"", 5, 1, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[13], " value=\"(.*?)\"", 6, 1, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[14], " value=\"(.*?)\"", 7, 1, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[15], " value=\"(.*?)\"", 9, 2, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[16], " value=\"(.*?)\"", 10, 1, false);
	harvestContainer_4.addHarvestInstruction ("resp_content", dcVars[17], " value=\"(.*?)\"", 11, 1, false);
	harvestContainer_4.addHarvestInstruction ("referer_uri", dcVars[8]);
	IDataSub subContainer_4 = new DataSub();
	reqAction.addDataSub(subContainer_4);

    ISubRule sub_7 = new SubRule("req_uri", 
                                                        56, 
                                                        4, 
                                                        true,
                                                        dcVars[7],
                                                        false); 
    subContainer_4.addSubInstruction(sub_7);
    
		
				// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("Primary_D881B26B67780853C8A208CCF71411DB"));
		// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A208CCF71411DB"));

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"GET",	// method
			url[6],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			false,	// isPrimary
			null,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("text/html;charset=UTF-8");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

	private HTTPAction request_8(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/staticJavascript.jsp", "D881B26B67780853C8A2098FF71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[7] == null)
			    url[7] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/staticJavascript.jsp");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/editRegistration.do?action=Edit"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
			IDataSub subContainer_5 = new DataSub();
	reqAction.addDataSub(subContainer_5);

	subContainer_5.addSubInstruction("req_hdr_referer", false, dcVars[8]);
		
				// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A208CCF71411DB"));
		// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A20936F71411DB"));

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"GET",	// method
			url[7],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			false,	// isPrimary
			null,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("application/x-javascript");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

    private HTTPPage page_4(final IContainer parent) {
        final boolean parallel = true;
        	parent.add(new HTTPThink(8313, parent, parent, "D881B26B67780853C8A209E4F71411DB"));
        
        HTTPPage page = new HTTPPage(parent, "Struts+Tiles+Faces Example Application {2}", "D881B26B67780853C8A209E4F71411DB") {
            String parallelName = "ParallelContainer";
            String serialName = "SerialContainer_";
            IContainer parallelContainer;
            //HTTPAction primaryAction = null;

            private void createAndAddToSerialContainer(IKAction action, String name) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }

                // check to make sure that the serial container exists
                IKAction kAction = parallelContainer.get(serialName + name);
                
                if (kAction == null) {
                    // create serial container and add to parallelContainer
                    IContainer serialContainer = (IContainer) new Container(parallelContainer, serialName + name) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    parallelContainer.add(serialContainer);
                    kAction = serialContainer;
                }

                if (kAction instanceof IContainer) {
                    ((IContainer)kAction).add(action);
                    if (action instanceof HTTPAction) {
                        if (((HTTPAction)action).getRequest().isPrimary()) {
                            //primaryAction = (HTTPAction) action;
                            IKAction lastCharReceivedAction = new WaitForPrimaryRequest_D881B26B67780853C8A209EAF71411DB((IContainer)kAction);
                            ((IContainer)kAction).add(lastCharReceivedAction);
                            actionMap.put("Primary_D881B26B67780853C8A209EAF71411DB", lastCharReceivedAction);
                        }
                    }
                }
            }
            
            private void createAndAddToParallelContainer(IKAction action) {
                // make sure parallel container exists
                if (parallelContainer == null) {
                    // if not, create it and add to page
                    parallelContainer = (IContainer) new Parallel(this, parallelName) {
                 		public void reportStopMessage() {}
						public void reportForcedStopMessage() {}
                    };
                    super.add(parallelContainer);
                }
                    
                // add this action directly to the parallel container
                // this is mostly true of CustomCode
                parallelContainer.add(action);
            }
            
            // add delays and requests (HTTPActions) to sub-sub-containers
            public void add(IKAction action) {
                if (parallel) {
                    // add thinks to the parent page, but everything
                    // else should go into serial containers
                    if (action instanceof HTTPThink) {
                        super.add(action);
                    } else if (action instanceof HTTPAction) {
                        createAndAddToSerialContainer(action, ((HTTPAction)action).getConnectionGroup());
                    } else if (action instanceof HTTPDelay) {
                        createAndAddToSerialContainer(action, ((HTTPDelay)action).getId());
                    } else {
                        createAndAddToParallelContainer(action);
                    }
                }
                else
                    super.add(action);                    
            }

            public void execute() {                
                      this.add(request_9(this)); /* GENERIC CREATE TEMPLATE */

      this.add(request_10(this)); /* GENERIC CREATE TEMPLATE */

                super.execute();
            }
        
            public void finish(IKAction child) {
                super.finish(child);
                if (hasFinished()) {
                    parallelContainer = null;
                    //primaryAction = null;
                    actionMap.clear();
                }
            }

        };
         
        page.setArmEnabled(false);  
        return page;
        
    }

    public class WaitForPrimaryRequest_D881B26B67780853C8A209EAF71411DB extends KAction {
        public WaitForPrimaryRequest_D881B26B67780853C8A209EAF71411DB(IContainer parent) {
            super(parent, "Wait for primary request", "Primary_D881B26B67780853C8A209EAF71411DB");
        }
                
        public void execute() {
            release();
            finish();
        }
    }
    


	private HTTPAction request_9(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/layout.faces", "D881B26B67780853C8A209EAF71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[8] == null)
			    url[8] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/layout.faces");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/editRegistration.do?action=Edit"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("Content-Type", "application/x-www-form-urlencoded"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Content-Length", "358"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("Cache-Control", "no-cache"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		StringBuffer strBuf_3 = new StringBuffer();
strBuf_3.append("body%3A_id7=body%3A_id7&org.apache.struts.taglib.html.TOKEN=");
strBuf_3.append("0ee6a03a004286d433e37e48fe074b88&body%3A_id7%3Aaction=Edit&b");
strBuf_3.append("ody%3A_id7%3Ausername=test&body%3A_id7%3Apassword=&body%3A_i");
strBuf_3.append("d7%3Apassword2=&body%3A_id7%3AfullName=TEST&body%3A_id7%3Afr");
strBuf_3.append("omAddress=test1@test.com&body%3A_id7%3AreplyToAddress=test1@");
strBuf_3.append("test.com&body%3A_id7%3Asubmit=Save&body%3A_id7=body%3A_id7");
String requestData_3 = strBuf_3.toString();
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
			IDataSub subContainer_6 = new DataSub();
	reqAction.addDataSub(subContainer_6);

    ISubRule sub_8 = new SubRule("req_content", 
                                                        347, 
                                                        11, 
                                                        true,
                                                        dcVars[9],
                                                        false); 
    subContainer_6.addSubInstruction(sub_8);
    
    ISubRule sub_9 = new SubRule("req_content", 
                                                        330, 
                                                        4, 
                                                        true,
                                                        dcVars[17],
                                                        false); 
    subContainer_6.addSubInstruction(sub_9);
    
    ISubRule sub_10 = new SubRule("req_content", 
                                                        294, 
                                                        14, 
                                                        false,
                                                        dcVars[16],
                                                        false); 
    subContainer_6.addSubInstruction(sub_10);
    
    ISubRule sub_11 = new SubRule("req_content", 
                                                        250, 
                                                        14, 
                                                        false,
                                                        dcVars[15],
                                                        false); 
    subContainer_6.addSubInstruction(sub_11);
    
    ISubRule sub_12 = new SubRule("req_content", 
                                                        195, 
                                                        0, 
                                                        true,
                                                        dcVars[14],
                                                        false); 
    subContainer_6.addSubInstruction(sub_12);
    
    ISubRule sub_13 = new SubRule("req_content", 
                                                        170, 
                                                        0, 
                                                        true,
                                                        dcVars[13],
                                                        false); 
    subContainer_6.addSubInstruction(sub_13);
    
    ISubRule sub_14 = new SubRule("req_content", 
                                                        142, 
                                                        4, 
                                                        true,
                                                        dcVars[12],
                                                        false); 
    subContainer_6.addSubInstruction(sub_14);
    
    ISubRule sub_15 = new SubRule("req_content", 
                                                        114, 
                                                        4, 
                                                        true,
                                                        dcVars[11],
                                                        false); 
    subContainer_6.addSubInstruction(sub_15);
    
    ISubRule sub_16 = new SubRule("req_content", 
                                                        60, 
                                                        32, 
                                                        true,
                                                        dcVars[10],
                                                        false); 
    subContainer_6.addSubInstruction(sub_16);
    
    ISubRule sub_17 = new SubRule("req_content", 
                                                        12, 
                                                        11, 
                                                        true,
                                                        dcVars[9],
                                                        false); 
    subContainer_6.addSubInstruction(sub_17);
    
	subContainer_6.addSubInstruction("req_hdr_referer", false, dcVars[8]);
		
		

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"POST",	// method
			url[8],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			true,	// isPrimary
			requestData_3,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(false);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("text/html;charset=UTF-8");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}

	private HTTPAction request_10(IContainer parent) {
		HTTPAction reqAction = new HTTPAction(parent, "192.168.1.101:8080/struts-faces-example2-1.3.8/logoff.do", "D881B26B67780853C8A45120F71411DB");
		HTTPPage myPage = reqAction.getPage();
		
		// add the action to the page-global action map for possible semaphore use
		myPage.getActionMap().put(reqAction.getId(), reqAction);
				
		try {
			if (url[9] == null)
			    url[9] = new URL("http", "192.168.1.101", 8080, "/struts-faces-example2-1.3.8/logoff.do");
		} catch (Exception e) {
			throw new Error (e.toString());
		}
	
		IRequestHeader headers[] = {
			new RequestHeader("Accept", "*/*"),new RequestHeader("Referer", "http://192.168.1.101:8080/struts-faces-example2-1.3.8/layout.faces"),new RequestHeader("Accept-Language", "en-US,zh-cn;q=0.5"),new RequestHeader("UA-CPU", "x86"),new RequestHeader("Accept-Encoding", "gzip, deflate"),new RequestHeader("User-Agent", "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30)"),new RequestHeader("Host", "192.168.1.101:8080"),new RequestHeader("Connection", "Keep-Alive"),new RequestHeader("ServerSuppliedCookie", "JSESSIONID=DB2FBF0BB0F19CD1B17AB179F639BEE5")
		};
			
		
			
		ISSLInfo sslInfo = null;
			
		IBasicAuthentication basicAuth = null;
		
			
		                
		
		
				// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A209EAF71411DB"));
		// wait on another action
		reqAction.addSemaphoreWait((IKAction)myPage.getActionMap().get("D881B26B67780853C8A209EAF71411DB"));

		IProxyServerInfo proxyServerInfo = null;
		

		if (HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB") == null) {
			// create the server connection on first reference
			IServerConnection serverConnection = 
				ServerConnectionFactory.create(
					"192.168.1.101",  // host name
					8080,  // port number
					sslInfo,  // SSL info
					null,  // NTLM info
					proxyServerInfo  // proxy server info
				);
			HTTPDataArea.putServerConnection(parent, "D881B26B67780853C8A20703F71411DB", serverConnection);
		}

		IHTTPRequest req = new HTTPRequest(
			"GET",	// method
			url[9],						// url
			true,	// is url relative
			"1.1",	// version
			headers,					// headers
			IHTTPSessionTypes.STANDARD,
			0,							// delay
			false,	// isPrimary
			null,	// request data
			basicAuth,					// basic auth info
			(IServerConnection) HTTPDataArea.getServerConnection(parent, "D881B26B67780853C8A20703F71411DB"),   // server connection
			reqAction
		);

		req.setExpectedResponseCode(200);
		req.setRequestCharset("UTF-8");
		req.setResponseCharset("UTF-8");
		req.setConnectionClose(true);
		
			
		reqAction.setRequest (req);
		reqAction.setArmEnabled(false);
		reqAction.setResponseContentType("text/html;charset=UTF-8");
		reqAction.setConnectionGroup("D881B26B67780853C8A20703F71411DB");
		return reqAction;
	}
}
